AppsControlPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.application
Class AppsControlPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.dvb.application.AppsControlPermission

All Implemented Interfaces:
  Serializable, Guard

    public final class AppsControlPermission

extends BasicPermission

This class represents a Permission to control the lifecycle of another application.

See Also:
  Serialized Form

Constructor Summary
`AppsControlPermission()` Creates a new AppsControlPermission.
`AppsControlPermission(String name, String actions)` Creates a new AppsControlPermission.

Method Summary
`boolean` | `equals(Object obj)` Checks for equality against this AppsControlPermission object.
`String` | `getActions()` Returns the list of actions that had been passed to the constructor - it shall return null.
`int` | `hashCode()` Returns the hash code value for this object.
`boolean` | `implies(Permission permission)` Checks if this AppsControlPermission object "implies" the specified permission.

Methods inherited from class java.security.BasicPermission
`newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppsControlPermission

    public AppsControlPermission()

  Creates a new AppsControlPermission. There is a simple mapping between the Application control Permission requests and the way the AppsControlPermission are granted. This mapping is defined in the main body of the present document.

### AppsControlPermission

    public AppsControlPermission(String name,
                                 String actions)

  Creates a new AppsControlPermission. There is a simple mapping between the Application control Permission requests and the way the AppsControlPermission are granted. This mapping is defined in the main body of the present document. The actions string is currently unused and should be null. The name string is currently unused and should be empty. This constructor exists for use by the java.security.Policy object to instantiate new permission objects.

  Parameters:
    `name` - the name of the permission
    `actions` - the actions string

Method Detail

### getActions

    public String getActions()

  Returns the list of actions that had been passed to the constructor - it shall return null.

  Overrides:
    `getActions` in class `BasicPermission`
  Returns:
    a null String.

### implies

    public boolean implies(Permission permission)

  Checks if this AppsControlPermission object "implies" the specified permission.

  Overrides:
    `implies` in class `BasicPermission`
  Parameters:
    `permission` - the specified permission to check.
  Returns:
    true if and only if the specified permission is an instanceof AppsControlPermission

### equals

    public boolean equals(Object obj)

  Checks for equality against this AppsControlPermission object.

  Overrides:
    `equals` in class `BasicPermission`
  Parameters:
    `obj` - the object to test for equality with this AppsControlPermission object.
  Returns:
    true if and only if obj is an AppsControlPermission
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns the hash code value for this object.

  Overrides:
    `hashCode` in class `BasicPermission`
  Returns:
    the hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD